Skip to content

Generate journey change payment link

POST/journeys/{journeyId}/changes/{changeId}/generate-payment-link

Auth: X-API-Key headerhttps://warpdrive.staging.transferz.com/partners

Generates a payment link to perform the additional payment for the journey change

Creates a payment link for the extra costs of a journey change. The change is applied once the booker has paid.

Guide: Change a journey

Path parameters

  • journeyIdinteger · int64required

    The id of the journey to change

  • changeIdinteger · int64required

    The id of the change to confirm

Headers

  • X-Request-IDstring

    The optional (ideally unique) request identifier used for later analysis or diagnostics

Responses

OK

  • urlstring

    The payment page to send the booker to.

  • expiresAtstring · date-time

    The link stops working after this time.

Errors this endpoint can return